#ifndef  __BF537_FLAGS_DEFINED
	#define __BF537_FLAGS_DEFINED

//--------------------------------------------------------------------------//
// Header files																//
//--------------------------------------------------------------------------//
#include <sys\exception.h>
#include <cdefBF537.h>
#include <ccblkfn.h>
#include <fract.h>
#include <complex.h>
#include <filter.h>
#include <flt2fr.h>

//--------------------------------------------------------------------------//
// Symbolic constants														//
//--------------------------------------------------------------------------//
#define ONE_SHOT  1
#define BLOCK     2

#define AD7656_address    0x20100000      //EBIU AMS1

#define pAD7656	          ((volatile unsigned short  *)AD7656_address)

#define AD7656DATA        0xFE00          //1111111000000000b
//#define AD7656DATA        0xE200          //1111111000000000b

// d15,14,13 - convert all channels
// d12,11,10 - range = (+/-2) * VREF 
// d9 - internal reference buffer enabled (VREF = 2.5 Vdc)
// d8 - internal buff enabled
// d7:0 not applicable   

#define VEC_SIZE  256              //256 reads of all six channels
#define TWIDDLE_SIZE VEC_SIZE/2    //FFT related
#define CHAN_CNT 6                 //Must modify AD7656DATA (above) if 
                                   //this changes from six.

//--------------------------------------------------------------------------//
// Global variables															//
//--------------------------------------------------------------------------//
extern unsigned short OpMode;               //BLOCK mode or ONE_SHOT
extern unsigned short Int2Cnt;              //convenience variable for interval timing measurement
extern unsigned short AD7656IntCnt;         //256 BUSY interrupts
extern unsigned short RunFFT;

//extern float FloatIn[VEC_SIZE * 6];         

extern fract16 AD7656_input[VEC_SIZE * 6];   //target buffer for DMA read of AD7656
                                             //check ad7656 data format                                   


//--------------------------------------------------------------------------//
// Prototypes																//
//--------------------------------------------------------------------------//
// in file Initialization.c
void Init_Flags(void);
void Init_Timers(void);
void Init_Interrupts(void);
void Init_AD7656(void);
void Init_EBIU(void);

// in file ISRs.c
EX_INTERRUPT_HANDLER(Timer2_ISR);
EX_INTERRUPT_HANDLER(PORTF_IntA_ISR);
EX_INTERRUPT_HANDLER(PORTF_IntB_ISR);
EX_INTERRUPT_HANDLER(Mem0StreamDMA_ISR);

#endif //__BF537_FLAGS_DEFINED

